commit:     7ec94941954f9014d30e5bdee0afa1f74ddd8708
Author:     Robert Siebeck <gentoo.2019 <AT> r123 <DOT> de>
AuthorDate: Thu Mar 14 07:55:51 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 14 11:22:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ec94941

dev-python/pyaudio: add support for Python 3.12

Signed-off-by: Robert Siebeck <gentoo.2019 <AT> r123.de>
Closes: https://github.com/gentoo/gentoo/pull/35743
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyaudio/pyaudio-0.2.13-r2.ebuild | 38 +++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-python/pyaudio/pyaudio-0.2.13-r2.ebuild 
b/dev-python/pyaudio/pyaudio-0.2.13-r2.ebuild
new file mode 100644
index 000000000000..7332925125e3
--- /dev/null
+++ b/dev-python/pyaudio/pyaudio-0.2.13-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyAudio"
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517="setuptools"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for PortAudio"
+HOMEPAGE="https://people.csail.mit.edu/hubert/pyaudio/";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# Tests work if you have the correct HW device(s) to test. 0.2.11-r1.
+RESTRICT="test"
+
+RDEPEND="media-libs/portaudio"
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( dev-python/numpy[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx sphinx
+distutils_enable_tests unittest
+
+python_test() {
+       elog "These tests require an OS loopback sound device that forwards 
audio"
+       elog "output, generated by PyAudio for playback, and forwards it to an 
input"
+       elog "device, which PyAudio can record and verify against a test 
signal."
+
+       cd tests || die
+       # pyaudio_tests have very complicated runtime requirements, therefore 
skipping them.
+       "${EPYTHON}" -m unittest error_tests -v || die "Tests fail with 
${EPYTHON}"
+}

Reply via email to